Loading...
Searching...
No Matches
OpenMesh::HoleFiller::HoleFillerT< MeshT > Class Template Reference

## Public Member Functions

| HoleFillerT (MeshT &_mesh)
void | fill_all_holes (int _stages=3)
| Identify and fill all holes of the mesh.
void | fill_hole (typename MeshT::EdgeHandle _eh, int _stages=3)
| Fill a hole which is identified by one of its boundary edges.

## Member Function Documentation

## fill_hole()

template<class MeshT>

void OpenMesh::HoleFiller::HoleFillerT< MeshT >::fill_hole | ( | typename MeshT::EdgeHandle | _eh,
|  | int | _stages = 3 )

Fill a hole which is identified by one of its boundary edges.

Parameters

  _eh | Edge Handle of a boundary halfedge at a hole that should be filled
  _stages | If not set to 3, tha algorithm will abort after the given stage

The documentation for this class was generated from the following files:

- OpenMesh/Tools/HoleFiller/HoleFillerT.hh
- OpenMesh/Tools/HoleFiller/HoleFillerT_impl.hh